# Class Tileset

- Defined in lib/five/model/tile3d/tileset.ts:30

##### Index

### Constructors

constructor

### Properties

asset
cache
currentMaxScreenSpaceError
floorLength
frameNumber
geometricError
hasMixedContent
id
loadedTiles
maxAverageTileMemory
needsRefinedTiles
options
pointLength
properties
requestedTiles
requestScheduler
root
rootMeta
selectedTiles
selectedTrajectories
trajectories
transform
unloadTiles

### Methods

reset
update

## Constructors

### constructor

- new Tileset(header: TilesetHeader, options: TilesetOptions): Tileset

  #### Parameters

  - header: TilesetHeader
  - options: TilesetOptions

  #### Returns Tileset

  - Defined in lib/five/model/tile3d/tileset.ts:82

## Properties

### asset

asset: {
gltfUpAxis: "Y" | "Z";
overview?: {
imageFile: string;
imageHeight: number;
imageWidth: number;
worldFile: string;
};
tilesetVersion: string;
trajectories?: TrajectoryHeader[];
version: string;
[key: string]: any;
}

- Defined in lib/five/model/tile3d/tileset.ts:32

### cache

cache: TileCache

- Defined in lib/five/model/tile3d/tileset.ts:61

### currentMaxScreenSpaceError

currentMaxScreenSpaceError: number

- Defined in lib/five/model/tile3d/tileset.ts:62

### floorLength

floorLength: number

- Defined in lib/five/model/tile3d/tileset.ts:80

### frameNumber

frameNumber: number

- Defined in lib/five/model/tile3d/tileset.ts:47

### geometricError

geometricError: number

- Defined in lib/five/model/tile3d/tileset.ts:59

### hasMixedContent

hasMixedContent: boolean

- Defined in lib/five/model/tile3d/tileset.ts:48

### id

id: string

- Defined in lib/five/model/tile3d/tileset.ts:46

### loadedTiles

loadedTiles: Set<Tile>

- Defined in lib/five/model/tile3d/tileset.ts:70

### maxAverageTileMemory

maxAverageTileMemory: number

- Defined in lib/five/model/tile3d/tileset.ts:50

### needsRefinedTiles

needsRefinedTiles: Set<Tile>

- Defined in lib/five/model/tile3d/tileset.ts:71

### options

options: TilesetOptions

- Defined in lib/five/model/tile3d/tileset.ts:53

### pointLength

pointLength: number

- Defined in lib/five/model/tile3d/tileset.ts:79

### properties

properties: { floorInfo?: { ground: number; height: number }[] }

- Defined in lib/five/model/tile3d/tileset.ts:51

### requestedTiles

requestedTiles: Tile[]

- Defined in lib/five/model/tile3d/tileset.ts:72

### requestScheduler

requestScheduler: TileRequestScheduler

- Defined in lib/five/model/tile3d/tileset.ts:63

### root

root: Tile

- Defined in lib/five/model/tile3d/tileset.ts:55

### rootMeta

rootMeta: {
coordinate?: {
base_keyframe: number;
base_trajectory: number;
coordinate_system: string;
ground_height: number;
lon_lat_alt: [number, number, number];
pose_ecef_to_enu: number[];
pose_enu_to_ecef: number[];
version: number;
};
creationTime?: string;
numFloors?: number;
numTotalPoints?: number;
numTrajectories?: number;
pntsOrder?: "RANDOM"
| "UNSORTED";
taskParameters?: {
homo_point_density?: string;
point_homogenization?: string;
};
upAxis?: string;
}

#### Type Declaration

- ##### `Optional` coordinate?: {
  base_keyframe: number;
  base_trajectory: number;
  coordinate_system: string;
  ground_height: number;
  lon_lat_alt: [number, number, number];
  pose_ecef_to_enu: number[];
  pose_enu_to_ecef: number[];
  version: number;
  }

  坐标参数

- ##### `Optional` creationTime?: string

  创建时间

- ##### `Optional` numFloors?: number

  楼层数

- ##### `Optional` numTotalPoints?: number

  点云的点数量

- ##### `Optional` numTrajectories?: number

  采集轨迹数量

- ##### `Optional` pntsOrder?: "RANDOM" | "UNSORTED"

  点云的 pnts 数据的排序规则

- ##### `Optional` taskParameters?: { homo_point_density?: string; point_homogenization?: string }

  任务触发参数

  - ##### `Optional` homo_point_density?: string

    是否跑点云均匀化参数 "数字" 的字符串

  - ##### `Optional` point_homogenization?: string

    是否跑点云均匀化 "0" "1" 的字符串

- ##### `Optional` upAxis?: string

  天轴 X Y Z

- Defined in lib/five/model/tile3d/tileset.ts:56

### selectedTiles

selectedTiles: Tile[]

- Defined in lib/five/model/tile3d/tileset.ts:73

### selectedTrajectories

selectedTrajectories: Trajectory[]

- Defined in lib/five/model/tile3d/tileset.ts:77

### trajectories

trajectories: Trajectory[]

- Defined in lib/five/model/tile3d/tileset.ts:76

### transform

transform: Matrix4

- Defined in lib/five/model/tile3d/tileset.ts:58

### unloadTiles

unloadTiles: Tile[]

- Defined in lib/five/model/tile3d/tileset.ts:74

## Methods

### reset

- reset(): void

  Release resources

  #### Returns void

  - Defined in lib/five/model/tile3d/tileset.ts:228

### update

- update(
  frameState: TilesetFrameState,
  cacheFrameStates?: TilesetFrameState[],
  ): void

  #### Parameters

  - frameState: TilesetFrameState
  - cacheFrameStates: TilesetFrameState[] = []

  #### Returns void

  - Defined in lib/five/model/tile3d/tileset.ts:270